#include <avr/io.h>
#include <util/delay.h>
#include "keyb.h"
#include "led.h"

int main(void)
{
	ledInit();
	keybInit();
	// wczytaj liczb dwucyfrow
	// na pozycjach 3 i 4
	int n = readNumber(2, 2);
	ledClear();
	// wywietl na pozycjach 1 i 2
	ledDispNumber(n, "%g", 0);
	// animacja
	while (1) 
	{
		_delay_ms(200);
		ledDispRaw(0b00000001, 0);
		_delay_ms(200);
		ledDispRaw(0b00000110, 0);
		_delay_ms(200);
		ledDispRaw(0b00001000, 0);
		_delay_ms(200);
		ledDispRaw(0b00110000, 0);
	}
}
